#include <iostream>
using namespace std;

int main() {
	int N, M;
	int arr[100000] = { 0 };
	long int par[100000] = { 0 };
	long int sreca = 0;
	long int br=0;
	cin >> N;
	cin >> M;
	for (int i = 0; i < N; i++) {
		cin >> arr[i];
		br++;
	}
	for (int i = 0; i < M; i++) {
		long int index1;
		long int index2;
		cin >> index1;
		cin >> index2;
		index1 -= 1;
		index2 -= 1;
		if (arr[index1] && arr[index2] > 0) { // oba zele prijatelja
			par[index1] += 1;
			par[index2] += 1;
		}
		else if (arr[index1] > 0 && arr[index2] < 0) { // par 1 zeli prijatelja a par 2 neprijatelja
			if (arr[index1] > arr[index2]) { // par 1 vise zeli prijatelja nego par 2 neprijatelja
				par[index1] += 1;
				par[index2] -= 1;
			}
			else {
				par[index1] -= 1; // par 2 vise zeli neprijatelja nego par 1 prijatelja
				par[index2] += 1;
			}
	
		}
		else if (arr[index1] < 0 && arr[index2] > 0) { // par 1 zeli neprijatelja a par 2 prijatelja
			if (arr[index1] > arr[index2]) { 
				par[index1] += 1;
				par[index2] -= 1;
			}
			else {
				par[index1] -= 1;
				par[index2] += 1;
			}
		}
		else {
			par[index1] += 1; // oba zele neprijatelja
			par[index2] += 1;
		}

	}
	for (int i = 0; i < br; i++) {
		sreca += par[i] * arr[i];
	}
	cout << sreca;

}